package com.sundata.internalevaluation.configuration.model;


import com.fasterxml.jackson.core.JsonParser;

import java.util.ArrayList;
import java.util.List;

/**
 * 规则集信息表
 */
public class SysReqRules {
    /**
     * 所属产品
     */
    private String belongProduct;
    /**
     * 规则集名称
     */
    private String rulesNo;
    /**
     * 规则集编号
     */
    private String rulesName;
    /**
     * 相关规则清单
     */
    private List<String> ruleIds = new ArrayList<>();

    private String rulesConclusionTemplate;


    public SysReqRules() {
    }

    public SysReqRules(String belongProduct, String rulesNo, String rulesName, List<String> ruleIds, String rulesConclusionTemplate) {
        this.belongProduct = belongProduct;
        this.rulesNo = rulesNo;
        this.rulesName = rulesName;
        this.ruleIds = ruleIds;
        this.rulesConclusionTemplate = rulesConclusionTemplate;
    }

    /**
     * 获取
     *
     * @return belongProduct
     */
    public String getBelongProduct() {
        return belongProduct;
    }

    /**
     * 设置
     *
     * @param belongProduct
     */
    public void setBelongProduct(String belongProduct) {
        this.belongProduct = belongProduct;
    }

    /**
     * 获取
     *
     * @return rulesNo
     */
    public String getRulesNo() {
        return rulesNo;
    }

    /**
     * 设置
     *
     * @param rulesNo
     */
    public void setRulesNo(String rulesNo) {
        this.rulesNo = rulesNo;
    }

    /**
     * 获取
     *
     * @return rulesName
     */
    public String getRulesName() {
        return rulesName;
    }

    /**
     * 设置
     *
     * @param rulesName
     */
    public void setRulesName(String rulesName) {
        this.rulesName = rulesName;
    }

    /**
     * 获取
     *
     * @return ruleIds
     */
    public List<String> getRuleIds() {
        return ruleIds;
    }

    /**
     * 设置
     *
     * @param ruleIds
     */
    public void setRuleIds(List<String> ruleIds) {
        this.ruleIds = ruleIds;
    }

    /**
     * 获取
     *
     * @return rulesConclusionTemplate
     */
    public String getRulesConclusionTemplate() {
        return rulesConclusionTemplate;
    }

    /**
     * 设置
     *
     * @param rulesConclusionTemplate
     */
    public void setRulesConclusionTemplate(String rulesConclusionTemplate) {
        this.rulesConclusionTemplate = rulesConclusionTemplate;
    }

    public String toString() {
        return "SysReqRules{belongProduct = " + belongProduct + ", rulesNo = " + rulesNo + ", rulesName = " + rulesName + ", ruleIds = " + ruleIds + ", rulesConclusionTemplate = " + rulesConclusionTemplate + "}";
    }
}
